Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.nailgun
Class AliasManager

    java.lang.Object
      com.martiansoftware.nailgun.AliasManager

public class AliasManager
extends Object

An AliasManager is used to store and lookup command Aliases by name. See Alias for more details.

Author:
  Marty Lamb

Constructor Summary
`AliasManager()` Creates a new AliasManager, populating it with default Aliases.

Method Summary
`void` | `addAlias(Alias alias)` Adds an Alias, replacing any previous entries with the same name.
`Alias` | `getAlias(String aliasName)` Returns the Alias with the specified name
`Set` | `getAliases()` Returns a Set that is a snapshot of the Alias list.
`void` | `loadFromProperties(Properties properties)` Loads Aliases from a java.util.Properties file located at the specified URL.
`void` | `removeAlias(String aliasName)` Removes the Alias with the specified name from the AliasManager.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AliasManager

    public AliasManager()

  Creates a new AliasManager, populating it with default Aliases.

Method Detail

### loadFromProperties

    public void loadFromProperties(Properties properties)

  Loads Aliases from a java.util.Properties file located at the specified URL. The properties must be of the form:

      [alias name]=[fully qualified classname]

  each of which may have an optional

      [alias name].desc=[alias description]

  For example, to create an alias called "`myprog`" for class `com.mydomain.myapp.MyProg`, the following properties would be defined:

      myprog=com.mydomain.myapp.MyProg
      myprog.desc=Runs my program.

  Parameters:
    `properties` - the Properties to load.

### addAlias

    public void addAlias(Alias alias)

  Adds an Alias, replacing any previous entries with the same name.

  Parameters:
    `alias` - the Alias to add

### getAliases

    public Set getAliases()

  Returns a Set that is a snapshot of the Alias list. Modifications to this Set will not impact the AliasManager in any way.

  Returns:
    a Set that is a snapshot of the Alias list.

### removeAlias

    public void removeAlias(String aliasName)

  Removes the Alias with the specified name from the AliasManager. If no such Alias exists in this AliasManager, this method has no effect.

  Parameters:
    `aliasName` - the name of the Alias to remove

### getAlias

    public Alias getAlias(String aliasName)

  Returns the Alias with the specified name

  Parameters:
    `aliasName` - the name of the Alias to retrieve
  Returns:
    the requested Alias, or null if no such Alias is defined in this AliasManager.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2004, Martian Software, Inc.